/* $Id: BadMoveException.java,v 1.3 2007/11/28 17:49:42 ekstrand Exp $ */

package csci1902.hw6.game;

/**
 * Exception thrown if a move is invalid in a board.
 * @author Michael Ekstrand <ekstrand@cs.umn.edu>
 *
 */
@SuppressWarnings("serial")
public class BadMoveException extends RuntimeException {
    /**
     * Create a new BadMoveException with no explanation.
     */
    public BadMoveException() {
        super();
    }

    /**
     * Create a new BadMoveException with an explanation.
     * @param reason The reason for the error.
     */
    public BadMoveException(String reason) {
        super(reason);
    }
}
