/* $Id: MoveListener.java,v 1.3 2007/11/28 17:49:42 ekstrand Exp $ */

package csci1902.hw6.game;

/**
 * Interface to be implemented by move listeners.
 * @author Michael Ekstrand <ekstrand@cs.umn.edu>
 */
public interface MoveListener {
    /**
     * Invoked to notify the listener of a move.
     * @param pos The cell moved to.
     */
    public void move(CellPosition pos);
}
