/* $Id: CellClickEvent.java,v 1.4 2007/11/28 17:49:43 ekstrand Exp $ */

package csci1902.hw6.ui;

import java.util.EventObject;

import csci1902.hw6.game.CellPosition;

/**
 * Event class representing a cell being clicked.
 *
 * @author Michael Ekstrand <ekstrand@cs.umn.edu>
 */
@SuppressWarnings("serial")
class CellClickEvent extends EventObject {
    
    private CellPosition position;

    /**
     * Construct a new cell click event.
     */
    public CellClickEvent(Object source, CellPosition position) {
        super(source);
        this.position = position;
    }

    /**
     * Query the position of the cell click.
     */
    public CellPosition getPosition() {
        return position;
    }
}
