/* $Id: CellClickListener.java,v 1.4 2007/11/28 17:49:43 ekstrand Exp $ */

package csci1902.hw6.ui;

/**
 * Interface to be implemented by classes interested in receiving notification
 * of game cells being clicked.
 *
 * @see CellClickEvent
 *
 * @author Michael Ekstrand <ekstrand@cs.umn.edu>
 */
interface CellClickListener {
    /**
     * Called when a cell has been clicked.
     */
    public void cellClicked(CellClickEvent event);
}
